
QGIS Application - Bug report #13391

GeoJSON not displayed correctly

2015-09-21 09:30 AM - Joachim Ungar

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.8.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21443

Description

All features in the attached GeoJSON file (generated with fiona) are squares but when loading into QGIS 2.8.1, some of them are

distorted and displayed as rectangles. Zooming in or out showed the same distortions.

The Shapefile version is displayed correctly. To be sure the GeoJSON file is fine, I also wrote a short script asserting that the features

heights and widths are equal.

Interestingly, after loading the Shapefile, the originally loaded GeoJSON was then displayed correctly and in alignment to the control

Shapefile.

To reproduce:

    -  load GeoJSON

    -  highlight one (non-square) rectangle via identify before loading Shapefile

    -  "Save as" Shapefile and load to map, on top of GeoJSON

    -  highlighted geometry is not aligned to Shapefile geometry

    -  turn off Shapefile

    -  GeoJSON now displayed correctly

Cheers

Related issues:

Duplicates QGIS Application - Bug report # 11587: all coordinates truncated t... Closed 2014-11-06

History

#1 - 2015-09-22 01:28 AM - Jukka Rahkonen

I can't reproduce with QGIS 2.10.1. Could you also have a try this version?

#2 - 2015-09-22 02:22 AM - Joachim Ungar

I'm using the ubuntugis-unstable repo where only 2.8.1 is available.

Maybe the issue was already resolved for 2.10. I'll have an eye open for this when ubuntugis updates to 2.10 and come back with more information.

Thanks!

#3 - 2015-09-22 02:29 AM - Jürgen Fischer

Joachim Ungar wrote:
I'm using the ubuntugis-unstable repo where only 2.8.1 is available.

Maybe the issue was already resolved for 2.10. I'll have an eye open for this when ubuntugis updates to 2.10 and come back with more information.

Use our ubuntugis repositories - they have 2.8.3 and 2.10.1 (see http://qgis.org/de/site/forusers/alldownloads.html#debian-ubuntu)

#4 - 2015-09-22 04:50 AM - Joachim Ungar

- File qgis_geojson.png added

Thanks - however, the issue remains after the update (see screenshot).

#5 - 2015-09-22 08:18 AM - Jukka Rahkonen

I can't see anything like that on Windows. Does turning OTF off change anything?

#6 - 2015-09-27 10:02 AM - Saber Razmjooei

- Status changed from Open to Closed

Checked in QGIS and all works fine. Problem with the OTF.

#7 - 2015-12-05 06:08 AM - Martin Weis

This is a duplicate of #11587

Files

5.geojson 439 KB 2015-09-21 Joachim Ungar

qgis_geojson.png 89.1 KB 2015-09-22 Joachim Ungar
